LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07222Bug reports[All Projects] Survey designpublic2013-01-24 03:502013-02-23 15:14
Reporteruclalimesurvey 
Assigned Tomdekker 
PriorityurgentSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary07222: Randomized order of questions within group not working for question by question format
DescriptionI have 3 question groups and 10 questions within each group.

Ideally, the question group order is not random, but the questions within each group should appear randomly with one per page ("Question by Question" format)

I used the "Randomization Group Name" to randomize the individual questions. In "Question by Question" format, the questions do not appear randomly. However, in "Group by Group" format, the questions do indeed appear randomly.
Steps To ReproduceTest survey using "Question by Question" format, then test survey using "Group by Group" format
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID130122
BrowserFirefox
Database & DB-VersionMySQL
Operating System (Server)Windows
Webserver software & versionApache 2.0
PHP Version5.4.11
Attached Files

- Relationships
parent of 07295new Development  It is not possible to randomize the order of groups even when a randomization groupname is set. 
child of 07011closedmdekker Bug reports It is not possible to randomize the order of groups even when a randomization groupname is set. 
Not all the children of this issue are yet resolved or closed.

-  Notes
User avatar (23872)
mdekker (developer)
2013-01-29 11:40

This is probably fixed in the build that will be released today. Could you please test a few times (using clear answers and restart) and let us know if your problem was fixed?
User avatar (23895)
uclalimesurvey (reporter)
2013-01-30 02:14

I updated the build to 130129 and tried testing a few times and my problem was not fixed. Now the format doesn't appear randomly for neither "Question by Question" nor "Group by Group".
User avatar (23897)
mdekker (developer)
2013-01-30 14:22

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11534 [^]
User avatar (23898)
mdekker (developer)
2013-01-30 14:26

In last build fixes where made for randomization of entire groups. The commit attached to this post fixes randomization for questions. If possible, could you test by replacing your frontend_helper with the one attached to this bug? That way you get the fix before release and really help us test it.
User avatar (23920)
Roger (reporter)
2013-01-31 15:20

I have had exactly the same issue and the new frontend_helper.php seems to fix it!
User avatar (23923)
mdekker (developer)
2013-01-31 15:54

Thanks for reporting back!
User avatar (24012)
uclalimesurvey (reporter)
2013-02-08 21:51

Thank you very much mdekker for fixing the error! I greatly appreciate your time and effort in helping with this bug. My survey works as anticipated now! Many thanks!

Side note: Will it be possible for you to remove the attached survey I initially included? Thanks!
User avatar (24023)
mdekker (developer)
2013-02-10 11:27

Done

- Related Changesets
LimeSurvey: master 8ea7145d
Timestamp: 2013-01-30 13:21:45
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
Fixed 07222: Randomized order of questions within group not working for question by question format

deV: fieldMap vs fieldmap problem and not swapped right
mod - application/helpers/frontend_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-01-24 03:50 uclalimesurvey New Issue
2013-01-24 03:50 uclalimesurvey File Added: limesurvey_survey_961166.lss
2013-01-24 10:21 c_schmitz Relationship added child of 07011
2013-01-29 11:40 mdekker Note Added: 23872
2013-01-30 02:14 uclalimesurvey Note Added: 23895
2013-01-30 14:22 mdekker Changeset attached => LimeSurvey master 8ea7145d
2013-01-30 14:22 mdekker Note Added: 23897
2013-01-30 14:22 mdekker Assigned To => mdekker
2013-01-30 14:22 mdekker Resolution open => fixed
2013-01-30 14:26 mdekker Note Added: 23898
2013-01-31 12:04 c_schmitz Status new => assigned
2013-01-31 15:20 Roger Note Added: 23920
2013-01-31 15:54 mdekker Note Added: 23923
2013-02-08 21:51 uclalimesurvey Note Added: 24012
2013-02-10 11:26 mdekker View Status public => private
2013-02-10 11:26 mdekker File Deleted: limesurvey_survey_961166.lss
2013-02-10 11:27 mdekker View Status private => public
2013-02-10 11:27 mdekker Note Added: 24023
2013-02-12 15:59 DenisChenu Relationship added parent of 07295
2013-02-23 15:14 c_schmitz Status assigned => resolved
2013-02-23 15:14 c_schmitz Fixed in Version => 2.00+
2013-02-23 15:14 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker